Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class RealmNotWritableAddException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.portal.admin.RealmNotWritableAddException

All Implemented Interfaces:
  Serializable

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class RealmNotWritableAddException
extends ApplicationException

thrown by the various admin EJB's when *add* functionality which requires a writable (aka manageable) realm is required.

See Also:
  `ApplicationException`, Serialized Form

Constructor Summary
`RealmNotWritableAddException(String principalName, String resourceName, String userGroupName)` Deprecated. Constructor
`RealmNotWritableAddException(String message, String principalName, String resourceName, String userGroupName)` Deprecated. Constructor
`RealmNotWritableAddException(String message, Throwable t, String principalName, String resourceName, String userGroupName)` Deprecated. Constructor
`RealmNotWritableAddException(Throwable t, String principalName, String resourceName, String userGroupName)` Deprecated. Constructor

Method Summary
`String` | `getPrincipalName()` Deprecated.
`String` | `getResourceName()` Deprecated.
`String` | `getUserGroupName()` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmNotWritableAddException

    public RealmNotWritableAddException(String principalName,
                                        String resourceName,
                                        String userGroupName)

  Deprecated.
  Constructor

Parameters:
  `principalName` - the principalName
  `resourceName` - the resource
  `userGroupName` - the userGroupName

### RealmNotWritableAddException

    public RealmNotWritableAddException(String message,
                                        String principalName,
                                        String resourceName,
                                        String userGroupName)

  Deprecated.
  Constructor

Parameters:
  `message` - String representing the Exception message
  `principalName` - the username
  `resourceName` - the resource
  `userGroupName` - the userGroupName

### RealmNotWritableAddException

    public RealmNotWritableAddException(String message,
                                        Throwable t,
                                        String principalName,
                                        String resourceName,
                                        String userGroupName)

  Deprecated.
  Constructor

Parameters:
  `message` - String representing the Exception message
  `t` - Throwable object representing the wrapped or chained exception
  `principalName` - the username
  `resourceName` - the resource
  `userGroupName` - the userGroupName

### RealmNotWritableAddException

    public RealmNotWritableAddException(Throwable t,
                                        String principalName,
                                        String resourceName,
                                        String userGroupName)

  Deprecated.
  Constructor

Parameters:
  `t` - Throwable object representing the wrapped or chained exception
  `principalName` - the username
  `resourceName` - the resource
  `userGroupName` - the userGroupName

Method Detail

### getPrincipalName

    public String getPrincipalName()

  Deprecated.
  Returns:
    username

### getResourceName

    public String getResourceName()

  Deprecated.
  Returns:
    resource

### getUserGroupName

    public String getUserGroupName()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved